Bug 12509 - ECONNREFUSED not handled correctly in dgram messaging
ECONNREFUSED not handled correctly in dgram messaging
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-10 12:33 UTC by Volker Lendecke
Modified: 2017-01-24 20:04 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.6 and master (1.01 KB, patch)
2017-01-10 12:38 UTC, Volker Lendecke
no flags Details
Patch for 4.5 (1.08 KB, patch)
2017-01-10 12:47 UTC, Volker Lendecke
no flags Details
Patch for 4.5 and 4.4 incl. cherry-pick information (1.31 KB, patch)
2017-01-11 09:51 UTC, Karolin Seeger
metze: review+
Details
Patch for 4.6 incl. cherry-pick information (1.25 KB, patch)
2017-01-11 09:54 UTC, Karolin Seeger
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2017-01-10 12:33:30 UTC
Linux sendmsg can return ECONNREFUSED. For the higher levels, this must be treated the same as "socket does not exist". In particular, notifyd must clean up the destination entries for a process when messaging_send returns this error.
Comment 1 Volker Lendecke 2017-01-10 12:38:47 UTC
Created attachment 12814 [details]
patch for 4.6 and master
Comment 2 Volker Lendecke 2017-01-10 12:47:28 UTC
Created attachment 12815 [details]
Patch for 4.5
Comment 3 Volker Lendecke 2017-01-10 12:48:38 UTC
Comment on attachment 12815 [details]
Patch for 4.5

The 4.5 patch also applies to 4.4
Comment 4 Karolin Seeger 2017-01-11 09:51:28 UTC
Created attachment 12821 [details]
Patch for 4.5 and 4.4 incl. cherry-pick information
Comment 5 Karolin Seeger 2017-01-11 09:54:58 UTC
Created attachment 12822 [details]
Patch for 4.6 incl. cherry-pick information
Comment 6 Karolin Seeger 2017-01-12 07:53:54 UTC
Pushed to autobuild-v4-{6,5,4}-test.
Comment 7 Karolin Seeger 2017-01-24 20:04:29 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to all branches.
Closing out bug report.

Thanks!